API Documentation |
Grid

Package | org.alivepdf.data
Class | public class Grid
Inheritance | Grid Object

Public Properties

| Property | Defined By
--- | --- | ---
|  | alternateRowColor : Boolean [read-only] | Grid
|  | backgroundColor : Color [read-only] | Grid
|  | borderAlpha : Number | Grid
|  | borderColor : Color | Grid
|  | cellColor : Color [read-only] | Grid
|  | columns : Array | Grid
|  | dataProvider : Array [read-only] | Grid
|  | headerColor : Color [read-only] | Grid
|  | height : Number [read-only] | Grid
|  | joints : String [read-only] | Grid
|  | width : Number [read-only] | Grid
|  | x : int | Grid
|  | y : int | Grid

Public Methods

| Method | Defined By
--- | --- | ---
|  | Grid(data:Array, width:Number, height:Number, headerColor:Color, backgroundColor:Color, cellColor:Color, alternateRowColor:Boolean, borderColor:Color, borderAlpha:Number = 1, joints:String = 0 j) | Grid
|  | export():ByteArray | Grid
|  | toString():String | Grid

Property Detail

alternateRowColor | property

`alternateRowColor:Boolean` [read-only]

Implementation
`public function get alternateRowColor():Boolean`

backgroundColor | property |

`backgroundColor:Color` [read-only]

Implementation
`public function get backgroundColor():Color`

borderAlpha | property |

`borderAlpha:Number`

Implementation
`public function get borderAlpha():Number`
`public function set borderAlpha(value:Number):void`

borderColor | property |

`borderColor:Color`

Implementation
`public function get borderColor():Color`
`public function set borderColor(value:Color):void`

cellColor | property |

`cellColor:Color` [read-only]

Implementation
`public function get cellColor():Color`

columns | property |

`columns:Array`

Implementation
`public function get columns():Array`
`public function set columns(value:Array):void`

dataProvider | property |

`dataProvider:Array` [read-only]

Implementation
`public function get dataProvider():Array`

headerColor | property |

`headerColor:Color` [read-only]

Implementation
`public function get headerColor():Color`

height | property |

`height:Number` [read-only]

Implementation
`public function get height():Number`

joints | property |

`joints:String` [read-only]

Implementation
`public function get joints():String`

width | property |

`width:Number` [read-only]

Implementation
`public function get width():Number`

x | property |

`x:int`

Implementation
`public function get x():int`
`public function set x(value:int):void`

y | property |

`y:int`

Implementation
`public function get y():int`
`public function set y(value:int):void`
Constructor Detail

Grid | () | Constructor

`public function Grid(data:Array, width:Number, height:Number, headerColor:Color, backgroundColor:Color, cellColor:Color, alternateRowColor:Boolean, borderColor:Color, borderAlpha:Number = 1, joints:String = 0 j)`

Parameters

| `data:Array`
| `width:Number`
| `height:Number`
| `headerColor:Color`
| `backgroundColor:Color`
| `cellColor:Color`
| `alternateRowColor:Boolean`
| `borderColor:Color`
| `borderAlpha:Number` (default = `1`)``
| `joints:String` (default = `0 j`)``

Method Detail

export | () | method

`public function export():ByteArray`

Returns

| `ByteArray`

toString | () | method |

`public function toString():String`

Returns

| `String`

Mon Oct 17 2011, 09:13 PM -04:00